package com.dayou.service;
import com.dayou.dto.CustomerDTO;
import com.dayou.entity.Customer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 客户表 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-01-10
 */
public interface ICustomerService extends IService<Customer> {

        Page<CustomerDTO> selectPage(Page page,CustomerDTO customer,String keyword);

        CustomerDTO detail(Long id);

        Boolean add(CustomerDTO customer);

        Boolean update(CustomerDTO customer);

        Boolean delete(Long id);

        XSSFWorkbook generateImportTemplate();

        void importExcel(MultipartFile file);

    List<CustomerDTO> getList(CustomerDTO customer);

    Boolean changeManager(CustomerDTO customer);
}
